Skip to navigation

Retrieve a product rate plan charge

View as Markdown
Retrieve the details of a specific Product Rate Plan Charge object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
ID of a product rate plan charge.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the product rate plan charge.
createdByIdstringOptional
The unique identifier of the user who created the product rate plan charge.
createdDatedatetimeOptional
The date and time when the product rate plan charge was created.
updatedByIdstringOptional
The unique identifier of the user who last updated the product rate plan charge.
updatedDatedatetimeOptional
The date and time when the product rate plan charge was last updated.
accountingCodestringOptional<=100 characters
The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes.
applyDiscountToenum or nullOptional
Indicates which type of charge the discount charge applies to.
chargeFunctionenumOptional

Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled.

This field defines what type of charge it is:

  • Standard: Normal charge with no Prepayment or Commitment or Drawdown.
  • Prepayment: For recurring charges. Unit or currency based prepaid charge.
  • CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge.
  • Drawdown: For usage charges. Drawdown from prepaid funds.
  • DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds.
  • CreditCommitment: For usage charges. Credit to minimum commitment funds.
isAllocationEligiblebooleanOptionalDefaults to false
Indicates whether the charge segment is allocation eligible in revenue recognition.
isUnbilledbooleanOptionalDefaults to false
Specifies how to perform the accounting during revenue recognition.
applyToBillingPeriodPartiallybooleanOptionalDefaults to false
Allow the discount duration to be aligned with the billing period partially.
billCycleDaylongOptional1-31

Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month customer is billed. The BCD value in the account can override the BCD in this object.

billCycleTypeenumOptional
Specifies how to determine the billing day for the charge.
billingPeriodenumOptional

The billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD).

billingPeriodAlignmentenumOptional
The billing period alignment setting for this charge.
Allowed values:
billingTimingenumOptional
The billing timing for this charge.
Allowed values:
chargeModelenumOptional
Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration.
chargeTypeenumOptional
Specifies the type of charge.
Allowed values:
creditOptionenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The way to calculate credit. See Credit Option for more information.

Allowed values:
defaultQuantitydouble or nullOptional

The default quantity.

This field is applicable only for one-time and recurring charges.

deferredRevenueAccountstringOptional<=100 characters

The name of the deferred revenue account for this charge.

This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

descriptionstringOptional
Description of the product rate plan charge.
discountClassIdstring or nullOptional

ID of the class the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied.

For more information, see Manage Discount Classes.

discountLevelenum or nullOptional

The application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge.

Allowed values:
drawdownRatedouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The conversion rate between Usage UOM and Drawdown UOM for a drawdown charge. Must be a positive number (>0).

endDateConditionenumOptional
The end date condition for this charge.
Allowed values:
excludeItemBillingFromRevenueAccountingbooleanOptional

Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting.

Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.

excludeItemBookingFromRevenueAccountingbooleanOptional

Indicates whether to exclude the related rate plan charges and order line items from revenue accounting.

Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.

includedUnitsdoubleOptional
Specifies the number of units in the base set of units.
isPrepaidbooleanOptionalDefaults to false

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Indicates whether this charge is a prepayment (topup) charge or a drawdown charge.

isRolloverbooleanOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

It determines whether the rollover fields are needed.

isStackedDiscountbooleanOptional

Note: This field is only applicable to the Discount - Percentage charge model.

This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows:

  • True: This is a stacked discount, which should be calculated by stacking with other discounts.
  • False: This is not a stacked discount, which should be calculated in sequence with other discounts.

For more information, see Stacked discounts.

legacyRevenueReportingbooleanOptional
Indicates whether to use the legacy revenue reporting for this charge.
listPriceBaseenumOptional
The list price base for the product rate plan charge. This field is only applicable for recurring charges.
Allowed values:
specificListPriceBaseinteger or nullOptional

The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months.

maxQuantitydoubleOptional

The maximum number of units for this charge. This field and the minQuantity field can be used to create a range of units allowed in a product rate plan charge.

minQuantitydoubleOptional

The minimum number of units for this charge. This field and the maxQuantity field can be used to create a range of units allowed in a product rate plan charge.

namestringOptional

Name of the product rate-plan charge. Not required to be unique.

numberOfPeriodlong or nullOptional

Specifies the number of periods to use when calculating charges in an overage smoothing charge model. This field is ued when overage smoothing model is RollingWindow or Rollover.

overageCalculationOptionenum or nullOptional
Value specifies when to calculate overage charges.
Allowed values:
overageUnusedUnitsCreditOptionenum or nullOptional
Determines whether to credit the customer with unused units of usage.
Allowed values:
prepaidOperationTypeenum or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The type of this charge. It is either a prepayment (topup) charge or a drawdown charge.

Allowed values:
prepaidQuantitydouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The number of units included in a prepayment charge. Must be a positive number (>0).

prepaidTotalQuantitydouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The total amount of units that end customers can use during a validity period when they subscribe to a prepayment charge.

priceChangeOptionenum or nullOptionalDefaults to NoChange

Applies an automatic price change when a termed subscription is renewed and the following applies:

  1. AutomatedPriceChange setting is on

  2. Charge type is not one-time

  3. Charge model is not discount fixed amount

Allowed values:
priceIncreasePercentagedouble or nullOptional-100-100

Specifies the percentage to increase or decrease the price of a termed subscription’s renewal. Use this field if you set the PriceChangeOption value to SpecificPercentageValue.

  1. AutomatedPriceChange setting is on
  2. Charge type is not one-time
  3. Charge model is not discount fixed amount

Values: a decimal between -100 and 100

productRatePlanChargeNumberstringOptional
The natural key of the product rate plan charge.
prorationOptionstringOptional

Note: This field is only available if you have the Charge Level Proration feature enabled.

The charge-level proration option for the product rate plan charge.

ratingGroupstring or nullOptional

Specifies a rating group based on which usage records are rated.

Possible values:

  • ByBillingPeriod (default): The rating is based on all the usages in a billing period.
  • ByUsageStartDate: The rating is based on all the usages on the same usage start date.
  • ByUsageRecord: The rating is based on each usage record.
  • ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv).
  • ByGroupId: The rating is based on all the usages in a custom group.

Note:

  • The ByBillingPeriod value can be applied for all charge models.
  • The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models.
  • The ByGroupId value is only available if you have the Active Rating feature enabled.
  • Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL.
revRecTriggerConditionenum or nullOptional
Specifies when revenue recognition begins.
Allowed values:
revenueRecognitionRuleNamestringOptional
The name of the revenue recognition rule governing the revenue schedule.
rolloverApplyenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

This field defines the priority of rollover, which is either first or last.

Allowed values:
rolloverPeriodLengthintegerOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The period length of the rollover fund.

rolloverPeriodslongOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

This field defines the number of rollover periods, it is restricted to 3.

recognizedRevenueAccountstringOptional<=100 characters

The name of the recognized revenue account for this charge.

  • Required when the Allow Blank Accounting Code setting is No.
  • Optional when the Allow Blank Accounting Code setting is Yes.

This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

smoothingModelstring or nullOptional

Specifies the smoothing model for an overage smoothing charge model or an tiered with overage model, which is an advanced type of a usage model that avoids spikes in usage charges. If a customer’s usage spikes in a single period, then an overage smoothing model eases overage charges by considering usage and multiple periods.

One of the following values shows which smoothing model will be applied to the charge when Overage or Tiered with Overage is used:

  • RollingWindow considers a number of periods to smooth usage. The rolling window starts and increments forward based on billing frequency. When allowed usage is met, then period resets and a new window begins.

  • Rollover considers a fixed number of periods before calculating usage. The net balance at the end of a period is unused usage, which is carried over to the next period’s balance.

specificBillingPeriodlong or nullOptional

When the billing period is set to Specific Months then this positive integer reflects the number of months for billing period charges.

taxablebooleanOptional

Specifies whether the charge is taxable; used by Zuora Tax.

taxCodestringOptional

Specifies the tax code for taxation rules; used by Zuora Tax.

taxModeenum or nullOptional

Specifies how to define taxation for the charge; used by Zuora Tax.

Allowed values:
triggerEventenumOptional

Specifies when to start billing the customer for the charge.

Values: one of the following:

  • ContractEffective is the date when the subscription’s contract goes into effect and the charge is ready to be billed.
  • ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access.
  • CustomerAcceptance is when the customer accepts the services or products for a subscription.
  • SpecificDate is the date specified.
Allowed values:
upToPeriodslong or nullOptional
Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end.
upToPeriodsTypeenum or nullOptional
The period type used to define when the charge ends.
Allowed values:
usageRecordRatingOptionstring or nullOptional

Determines how Zuora processes usage records for per-unit usage charges.

useDiscountSpecificAccountingCodeboolean or nullOptional
Determines whether to define a new accounting code for the new discount charge.
useTenantDefaultForPriceChangebooleanOptional

Shows the tenant-level percentage uplift value for an automatic price change to a termed subscription’s renewal. You set the tenant uplift value in the web-based UI: Settings > Billing > Define Default Subscription Settings.

validityPeriodTypeenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The period in which the prepayment units are valid to use as defined in a prepayment charge.

Allowed values:
weeklyBillCycleDayenumOptional

Specifies which day of the week as the bill cycle day (BCD) for the charge.

This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

priceUpsellQuantityStackedbooleanOptional
Indicates whether the price upsell quantity is stacked.
deliveryScheduleIdstringOptional
The unique identifier of the delivery schedule associated with the product rate plan charge. This field is applicable only when this charge is using Delivery Pricing charge model.
commitmentTypeenumOptional

Note: This field is only available if you have the Unbilled Usage feature enabled.

To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs.

This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created.

  • If UNIT, it will create a fund with given prepaidUom.
  • If CURRENCY, it will create a fund with the currency amount calculated in list price.

For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges.

Allowed values:
isCommittedbooleanOptional
Indicates whether the charge is commited.
productRatePlanIdstringOptional
The unique identifier of the product rate plan to which this product rate plan charge belongs.
accountReceivableAccountingCodeIdstringOptional
The type of the accounting code for accounts receivable.
recognizedRevenueAccountingCodeIdstringOptional
The accounting code for recognized revenue, such as Monthly Recurring Charges or Overage Charges.
deferredRevenueAccountingCodeIdstring or nullOptional
The type associated with the deferred revenue accounting code, such as Deferred Revenue.
adjustmentLiabilityAccountingCodeIdstringOptional

The type associated with the adjustment liability accounting code.

Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.

adjustmentRevenueAccountingCodeIdstringOptional

The type associated with the adjustment revenue accounting code.

Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.

contractAssetAccountingCodeIdstringOptional

The type associated with the contract asset accounting code.

Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.

contractLiabilityAccountingCodeIdstringOptional

The accounting code for contract liability.

Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.

contractRecognizedRevenueAccountingCodeIdstringOptional

The accounting code for contract recognized revenue.

Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.

unbilledReceivablesAccountingCodeIdstring or nullOptional

The accounting code for unbilled receivables.

Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.

revRecCodestring or nullOptional<=70 characters
Associates this product rate plan charge with a specific revenue recognition code.
uOMstring or nullOptional

Describes the Units of Measure (uom) configured in Settings > Billing for the productRatePlanCharges.

drawdownUomstringOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Unit of measurement for a drawdown charge.

prepaidUomstring or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Unit of measurement for a prepayment charge.

productRatePlanobjectOptional
productRatePlanChargeTierslist of objectsOptional

Errors

4XX
Client Request Error
500
Internal Server Error